implicit none          !暗黙の型宣言を無効にする
   real::tawami(10000) !たわみを入れる実数形の1次元配列
integer::i,n           !繰り返しステップ数、データの数
   real::goukei        !たわみの合計
   real::p,l           !荷重、スパン
   real::saidai,saisyou!最大変位、最小変位
   real::hanikamu,kousi!ハニカムの曲げ剛性、格子の曲げ剛性
   real::kousi56       !格子56の曲げ剛性
!データ入力
 read*,n
  do i=1,n
     read*,tawami(i)
  end do
!合計の計算
 goukei=0.
  do i=1,n
     goukei=goukei+tawami(i)
  end do
!合計をデータの数で割って平均を出す
    print*,"平均(v)：",goukei/n,"[m]"
!曲げ剛性の計算
 p=2.4516625E-06
 l=9.0E-02
 kousi=(p*l*l*l)/(3*(goukei/n))
    print*,"曲げ剛性(EI)：",kousi,"[MN・m^2]"
!ハニカムの曲げ剛性と比較
 hanikamu=1.43075880E-07
    print*,"ハニカム/格子：",hanikamu/kousi
!格子55の曲げ剛性と比較
 kousi56=5.71564271E-07
    print*,"EI/格子56：",kousi/kousi56
!最大値
 saidai=0
  do i=1,n
   if(tawami(i) > saidai ) then
   saidai=tawami(i)
   end if
  end do
  print*,"最大値:",saidai
!最小値
 saisyou=100
  do i=1,n
   if(tawami(i) < saisyou ) then
   saisyou=tawami(i)
   end if
  end do
  print*,"最小値:",saisyou
end
